Jack2 1.9.12

Public Member Functions | Protected Attributes | List of all members
Jack::detail::JackSynchro Class Reference

An inter process synchronization primitive. More...

`#include <JackSynchro.h>`

Inheritance diagram for Jack::detail::JackSynchro:

## Public Member Functions
bool | Signal ()
bool | SignalAll ()
bool | Wait ()
bool | TimedWait (long usec)
bool | Allocate (const char *name, const char *server_name, int value)
bool | Connect (const char *name, const char *server_name)
bool | ConnectInput (const char *name, const char *server_name)
bool | ConnectOutput (const char *name, const char *server_name)
bool | Disconnect ()
void | Destroy ()
void | SetFlush (bool mode)

## Protected Attributes
char | fName [SYNC_MAX_NAME_SIZE]
bool | fFlush

## Detailed Description

An inter process synchronization primitive.

Definition at line 35 of file JackSynchro.h.

The documentation for this class was generated from the following file:

- JackSynchro.h